var lastscrollvalue;
window.onscroll = function () {
  beforeScroll = window.scrollY;
  var beforeHeight = $(".room_container").height();
  messageCount = $(".chat_message").length;
  if ($(this).scrollTop() === 0 && messageCount >= PagingSize.MESSAGE) {
    if (!$("#chatLoader").is(":visible")) {
      let loader = $(
        '<div id="chatLoader" class="text-center"><div class="spinner-grow spinner-grow-sm" role="status" /></div>'
      );
      $("#messages").prepend(loader);
      var messageId = $($(".chat_message").get(0)).data("messageid");
      var messages;
      if (typeof android != "undefined") {
        if (IS_ONLINE == "true") {
          android.updatePreMessage(messageId);
        }
      } else {
        //TODO 追加メッセージUpdate、get
      }
      messages = CHAT_DB.getMessagesWithMessageId(messageId);
      CHAT_UI.prependMessage(messages);
      loader.remove();
      var afterHeight = $(".room_container").height();
      window.scroll(0, afterHeight - beforeHeight);
    }
  }
};

$("#roomNameChangeBtn").click(function () {
  var changeRoomName = $("#roomNameInput").val();
  var trimmedRoomName = $("#roomNameInput").val().trim();
  if (trimmedRoomName.length == 0) {
    alert(getLocalizedString("error_empty_room_name"));
    return;
  }
  if (CHAT_UTIL.isIOS()) {
    webkit.messageHandlers.changeRoomName.postMessage(changeRoomName);
  } else if (CHAT_UTIL.isAndroid()) {
    android.changeRoomName(changeRoomName);
  }
});

/*
$('#messages').scroll(function() {
    console.log('messagescroll');
    if ($(this).scrollTop() === 0) {
        if (!$('#chatLoader').is(':visible')) {
            // 現在、メッセージの個数以前をメッセージを読み込む
            // ローディングアイコンを追加する
            let loader = $('<div id="chatLoader" class="text-center"><div class="spinner-grow spinner-grow-sm" role="status" /></div>')
            $('#messages').prepend(loader)
            loader.remove();
//            socket.emit('getMessages', $(this).children().length, function() {
//                // ローディングアイコンを削除する
//                loader.remove();
//            });
        }
    }
});*/
